package cn.ibizlab.businesscentral.core.odoo_base.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_users;
/**
 * 关系型数据实体[Res_users] 查询条件对象
 */
@Slf4j
@Data
public class Res_usersSearchContext extends QueryWrapperContext<Res_users> {

	private String n_notification_type_eq;//[通知管理]
	public void setN_notification_type_eq(String n_notification_type_eq) {
        this.n_notification_type_eq = n_notification_type_eq;
        if(!ObjectUtils.isEmpty(this.n_notification_type_eq)){
            this.getSearchCond().eq("notification_type", n_notification_type_eq);
        }
    }
	private String n_state_eq;//[状态]
	public void setN_state_eq(String n_state_eq) {
        this.n_state_eq = n_state_eq;
        if(!ObjectUtils.isEmpty(this.n_state_eq)){
            this.getSearchCond().eq("state", n_state_eq);
        }
    }
	private String n_odoobot_state_eq;//[OdooBot 状态]
	public void setN_odoobot_state_eq(String n_odoobot_state_eq) {
        this.n_odoobot_state_eq = n_odoobot_state_eq;
        if(!ObjectUtils.isEmpty(this.n_odoobot_state_eq)){
            this.getSearchCond().eq("odoobot_state", n_odoobot_state_eq);
        }
    }
	private String n_sale_team_id_text_eq;//[用户的销售团队]
	public void setN_sale_team_id_text_eq(String n_sale_team_id_text_eq) {
        this.n_sale_team_id_text_eq = n_sale_team_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_sale_team_id_text_eq)){
            this.getSearchCond().eq("sale_team_id_text", n_sale_team_id_text_eq);
        }
    }
	private String n_sale_team_id_text_like;//[用户的销售团队]
	public void setN_sale_team_id_text_like(String n_sale_team_id_text_like) {
        this.n_sale_team_id_text_like = n_sale_team_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_sale_team_id_text_like)){
            this.getSearchCond().like("sale_team_id_text", n_sale_team_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_name_eq;//[名称]
	public void setN_name_eq(String n_name_eq) {
        this.n_name_eq = n_name_eq;
        if(!ObjectUtils.isEmpty(this.n_name_eq)){
            this.getSearchCond().eq("name", n_name_eq);
        }
    }
	private String n_name_like;//[名称]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_company_id_text_eq;//[公司]
	public void setN_company_id_text_eq(String n_company_id_text_eq) {
        this.n_company_id_text_eq = n_company_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_eq)){
            this.getSearchCond().eq("company_id_text", n_company_id_text_eq);
        }
    }
	private String n_company_id_text_like;//[公司]
	public void setN_company_id_text_like(String n_company_id_text_like) {
        this.n_company_id_text_like = n_company_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_like)){
            this.getSearchCond().like("company_id_text", n_company_id_text_like);
        }
    }
	private Long n_company_id_eq;//[公司]
	public void setN_company_id_eq(Long n_company_id_eq) {
        this.n_company_id_eq = n_company_id_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_eq)){
            this.getSearchCond().eq("company_id", n_company_id_eq);
        }
    }
	private Long n_partner_id_eq;//[相关的业务伙伴]
	public void setN_partner_id_eq(Long n_partner_id_eq) {
        this.n_partner_id_eq = n_partner_id_eq;
        if(!ObjectUtils.isEmpty(this.n_partner_id_eq)){
            this.getSearchCond().eq("partner_id", n_partner_id_eq);
        }
    }
	private Long n_alias_id_eq;//[别名]
	public void setN_alias_id_eq(Long n_alias_id_eq) {
        this.n_alias_id_eq = n_alias_id_eq;
        if(!ObjectUtils.isEmpty(this.n_alias_id_eq)){
            this.getSearchCond().eq("alias_id", n_alias_id_eq);
        }
    }
	private Long n_sale_team_id_eq;//[用户的销售团队]
	public void setN_sale_team_id_eq(Long n_sale_team_id_eq) {
        this.n_sale_team_id_eq = n_sale_team_id_eq;
        if(!ObjectUtils.isEmpty(this.n_sale_team_id_eq)){
            this.getSearchCond().eq("sale_team_id", n_sale_team_id_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



